version: "3.2"
services:
  mysql:
    build: "./docker/mysql"
    container_name: mysql
    command: mysqld --default-authentication-plugin=mysql_native_password
    restart: always
    volumes:
      - /home/silviopd/Mysql:/var/lib/mysql
    environment:
      - MYSQL_ROOT_PASSWORD=silviopd
      - MYSQL_ROOT_HOST=%
    ports:
      - "3306:3306"

  phpmyadmin:
    build: "./docker/phpmyadmin"
    container_name: phpmyadmin
    ports:
      - "9000:80"
    depends_on:
      - mysql
    environment:
      - MYSQL_USERNAME=root
      - MYSQL_ROOT_PASSWORD=silviopd
      - PMA_HOST=mysql

  node-webservice:
    build: "./docker/node"
    container_name: webservice
    working_dir: "/home/node"
    ports:
      - "3000:3000"
    volumes:
      - "./webservice:/home/node"
    command: "npm start"
    depends_on:
      - mysql

  node-web:
    build: "./docker/node"
    container_name: web
    working_dir: "/home/node"
    ports:
      - "8080:3000"
    volumes:
      - "./web:/home/node"
    command: "npm start"
    depends_on:
      - node-webservice
